Bug 183129 - Rewrite frameset-flattening-simple to make expectation clearer
Summary: Rewrite frameset-flattening-simple to make expectation clearer
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Frédéric Wang (:fredw)
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-02-26 07:43 PST by Frédéric Wang (:fredw)
Modified: 2018-03-13 06:46 PDT (History)
8 users (show)

See Also:


Attachments
Patch (7.21 KB, patch)
2018-02-26 07:48 PST, Frédéric Wang (:fredw)
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews101 for mac-sierra (2.24 MB, application/zip)
2018-02-26 08:49 PST, Build Bot
no flags Details
Patch (66.01 KB, patch)
2018-02-26 09:15 PST, Frédéric Wang (:fredw)
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews200 for win-future (11.60 MB, application/zip)
2018-02-26 10:58 PST, Build Bot
no flags Details
Patch (68.45 KB, patch)
2018-02-26 11:07 PST, Frédéric Wang (:fredw)
jfernandez: review+
Details | Formatted Diff | Diff
Patch for landing (69.01 KB, patch)
2018-02-27 06:40 PST, Frédéric Wang (:fredw)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Frédéric Wang (:fredw) 2018-02-26 07:43:04 PST
frameset-flattening-simple test description says that the iframe should be 800x wide and should not have any scrollbars, however it is a bit difficult to know the size when checking the PNG reference and moreover the scrollbars of the main frame is visible, which is a bit confusing.
Comment 1 Frédéric Wang (:fredw) 2018-02-26 07:48:42 PST
Created attachment 334615 [details]
Patch
Comment 2 Build Bot 2018-02-26 08:49:18 PST
Comment on attachment 334615 [details]
Patch

Attachment 334615 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/6675944

New failing tests:
fast/frames/flattening/frameset-flattening-simple.html
Comment 3 Build Bot 2018-02-26 08:49:19 PST
Created attachment 334618 [details]
Archive of layout-test-results from ews101 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews101  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 4 Frédéric Wang (:fredw) 2018-02-26 09:15:46 PST
Created attachment 334621 [details]
Patch
Comment 5 Build Bot 2018-02-26 10:58:00 PST
Comment on attachment 334621 [details]
Patch

Attachment 334621 [details] did not pass win-ews (win):
Output: http://webkit-queues.webkit.org/results/6677510

New failing tests:
fast/frames/flattening/frameset-flattening-simple.html
Comment 6 Build Bot 2018-02-26 10:58:11 PST
Created attachment 334628 [details]
Archive of layout-test-results from ews200 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews200  Port: win-future  Platform: CYGWIN_NT-6.1-2.9.0-0.318-5-3-x86_64-64bit
Comment 7 Frédéric Wang (:fredw) 2018-02-26 11:07:37 PST
Created attachment 334630 [details]
Patch
Comment 8 Frédéric Wang (:fredw) 2018-02-27 06:40:17 PST
Created attachment 334689 [details]
Patch for landing
Comment 9 Frédéric Wang (:fredw) 2018-02-27 06:50:31 PST
@Don: I plan to land this later but FYI the patch fails to apply on WinCairo due to changes in the PNG expectation. I think this already happened in the past for another bug.
Comment 10 Don Olmstead 2018-02-27 10:55:16 PST
(In reply to Frédéric Wang (:fredw) from comment #9)
> @Don: I plan to land this later but FYI the patch fails to apply on WinCairo
> due to changes in the PNG expectation. I think this already happened in the
> past for another bug.

Yea I have a few outstanding bugs on our EWS to take care of and will also update git.
Comment 11 Frédéric Wang (:fredw) 2018-03-13 06:44:37 PDT
Committed r229576: <https://trac.webkit.org/changeset/229576>
Comment 12 Radar WebKit Bug Importer 2018-03-13 06:46:20 PDT
<rdar://problem/38415260>